Package org.apache.sling.scripting.sightly.compiler.expression

## Enum MarkupContext

- java.lang.Object
- - java.lang.Enum<MarkupContext>
  - - org.apache.sling.scripting.sightly.compiler.expression.MarkupContext

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkupContext>`

    public enum MarkupContext
    extends Enum<MarkupContext>

Indicates what type of content is being rendered.

### Enum Constant Summary

Enum Constants
`ATTRIBUTE`
`ATTRIBUTE_NAME`
`COMMENT`
`ELEMENT_NAME`
`HTML`
`NUMBER`
`SCRIPT_COMMENT`
`SCRIPT_REGEXP`
`SCRIPT_STRING`
`SCRIPT_TOKEN`
`STYLE_COMMENT`
`STYLE_STRING`
`STYLE_TOKEN`
`TEXT`
`UNSAFE`
`URI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`static MarkupContext` `lookup​(String name)` Returns the render context with the given name.
`static MarkupContext` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MarkupContext[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HTML

    public static final MarkupContext HTML

#### TEXT

    public static final MarkupContext TEXT

#### ELEMENT_NAME

    public static final MarkupContext ELEMENT_NAME

#### ATTRIBUTE_NAME

    public static final MarkupContext ATTRIBUTE_NAME

#### ATTRIBUTE

    public static final MarkupContext ATTRIBUTE

#### URI

    public static final MarkupContext URI

#### SCRIPT_TOKEN

    public static final MarkupContext SCRIPT_TOKEN

#### SCRIPT_STRING

    public static final MarkupContext SCRIPT_STRING

#### SCRIPT_COMMENT

    public static final MarkupContext SCRIPT_COMMENT

#### SCRIPT_REGEXP

    public static final MarkupContext SCRIPT_REGEXP

#### STYLE_TOKEN

    public static final MarkupContext STYLE_TOKEN

#### STYLE_STRING

    public static final MarkupContext STYLE_STRING

#### STYLE_COMMENT

    public static final MarkupContext STYLE_COMMENT

#### COMMENT

    public static final MarkupContext COMMENT

#### NUMBER

    public static final MarkupContext NUMBER

#### UNSAFE

    public static final MarkupContext UNSAFE

### Method Detail

#### values

    public static MarkupContext[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MarkupContext c : MarkupContext.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MarkupContext valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

#### lookup

    public static MarkupContext lookup​(String name)

Returns the render context with the given name.

Parameters:
  `name` - the name of the render context
Returns:
  the rendering context value or `null` if the name matches no value